local function Waypoint(icon)
	local player_unit = managers.player:player_unit()
	local wp_id = "wp_id"
	
	if player_unit then
		local camera = player_unit:camera()
		local from = camera:position()
		local to = camera:position() + camera:rotation():y() * 50000
		local raycast = World:raycast("ray", from, to)
	
		managers.hud:remove_waypoint(wp_id)

		local text = managers.localization:text("debug_trade_hostage")
		managers.hud:add_waypoint(wp_id, {
			icon = icon,
			text = text,
			state = "sneak_present",
			present_timer = 0,
			position = raycast.position,
			distance = SystemInfo:platform() == Idstring("WIN32")
		})
	end
end

local MPath = ModPath
DB:create_entry(Idstring("texture"), Idstring("guis/textures/pd2/oval_waypoint"), MPath .. "assets/oval_waypoint.texture")
Waypoint("guis/textures/pd2/oval_waypoint")